API Reference
Billing
Domains
Email templates
- Create an email template POST
- Delete an email template DELETE
- Retrieve a template's draft GET
- Retrieve a template version GET
- Retrieve an email template GET
- List a template's versions GET
- List email templates GET
- Publish a template's draft POST
- Restore a template version POST
- Update a template's draft PUT
- Update an email template PATCH
Emails
Hooks applications
Hooks endpoints
Hooks event types
Hooks messages
Hooks portal
Log drains
Receiving
Risk
- Check an email address POST
- Check an IP address POST
- Check a rate limit POST
- Classify content POST
- Assess an event POST
- Report an assessment's outcome POST
- Create a rate limit bucket POST
- Add an allow or block list entry POST
- Create a rule POST
- Delete a rate limit bucket DELETE
- Remove a list entry DELETE
- Delete a rule DELETE
- Forget a user DELETE
- Retrieve an assessment GET
- Retrieve the calibration GET
- Retrieve a rate limit bucket GET
- Retrieve a list entry GET
- Retrieve a rule GET
- Retrieve the risk settings GET
- List assessments GET
- List rate limit buckets GET
- List allow and block list entries GET
- List rules GET
- Update a rate limit bucket PATCH
- Update a rule PATCH
- Update the risk settings PATCH
Suppressions
Tracking
Webhook endpoints
List a template's versions
GET
/v1/email_templates/{id}/versions
Published versions, newest first. Pass the last version as after to get the next page while has_more is true.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe template's id or alias.
limit?integer1-20, default 10.
Range
1 <= value <= 20after?integerCursor: the version of the last version of the previous page.
Range
1 <= valueCoss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of versions.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.templates.versions.list("etpl_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "list", "data": [ { "object": "email_template_version", "template_id": "etpl_01k7c8m4q2f3e9v6t5r1n0p8yz", "version": 2, "revision": 3, "default_locale": "en", "variables": [ { "name": "first_name", "type": "string", "required": true } ], "sample_variables": { "first_name": "Ada" }, "contents": [ { "locale": "en", "subject": "Welcome, {{first_name}}", "html": "<p>Hi {{first_name}}, thanks for signing up!</p>", "text": null } ], "problems": [], "published_at": "2026-10-10T12:00:00.000Z", "created_at": "2026-10-10T12:00:00.000Z", "updated_at": "2026-10-10T12:00:00.000Z" } ], "has_more": false}